---
title: SpeechGrammar.src
slug: Web/API/SpeechGrammar/src
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechGrammar
  - Web Speech API
  - recognition
  - speech
  - src
---
<p>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>src</strong></code> property of the {{domxref("SpeechGrammar")}} interface sets and returns a string containing the grammar from within in the <code>SpeechGrammar</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myGrammar = speechGrammarInstance.src;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the grammar.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var grammar = '#JSGF V1.0; grammar colors; public &lt;color&gt; = aqua | azure | beige | bisque | black | blue | brown | chocolate | coral | crimson | cyan | fuchsia | ghostwhite | gold | goldenrod | gray | green | indigo | ivory | khaki | lavender | lime | linen | magenta | maroon | moccasin | navy | olive | orange | orchid | peru | pink | plum | purple | red | salmon | sienna | silver | snow | tan | teal | thistle | tomato | turquoise | violet | white | yellow ;'
var recognition = new SpeechRecognition();
var speechRecognitionList = new SpeechGrammarList();
speechRecognitionList.addFromString(grammar, 1);
recognition.grammars = speechRecognitionList;

console.log(speechRecognitionList[0].src); // should return the same as the contents of the grammar variable
console.log(speechRecognitionList[0].weight); // should return 1 - the same as the weight set in line 4.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#dom-speechgrammar-src', 'src')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechGrammar.src")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
